Subject: Seems solved

From: PEDRO ANDRES ARANDA GUTIERREZ <[email-masked]>
Date: Fri, 2 Jul 2021 08:23:46 +0200

Hi Eli

I have just recompiled Emacs on my Macbook Pro:

GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin17.7.0, NS appkit-1561.61 Version 10.13.6 (Build 17G14042))
 of 2021-07-02 built on paag.local
Repository revision: 1b88404acc4b6399b617dac2b14f1eaa78135670
Repository branch: master
Windowing system distributor 'Apple', version 10.3.1561
System Description:  Mac OS X 10.13.6

And the problem seems solved. I can directly launch the generated Eamcs.app package in the nextstep directory generated during the compilation and it will load wikipedia.org <http://wikipedia.org/> from eww. Same happens if I drag-and-drop the App bundle to /Applications and then launch Emacs from there *without rebooting* (big kudos!) and from when I launch it from the CLI using my wrapper script!

I suspect that
commit	1b88404acc4b6399b617dac2b14f1eaa78135670 <http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=1b88404acc4b6399b617dac2b14f1eaa78135670>
and mainly the patch to configure.ac has a lot to do with this improvement.

Best, /PA

—
PEDRO ANDRES ARANDA GUTIERREZ
[email-masked]
Universidad Carlos III Madrid

Fragen sind nicht da um beantwortet zu werden…
Fragen sind da, um gestellt zu werden.
Georg Kreisler